cURL
curl --request GET \
--url https://api.maesn.dev/accounting/bookingProposals \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/bookingProposals"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/bookingProposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"id": "BP-12345",
"addresses ": [
{
"city": "city"
}
],
"bankAccountId": "5a6b7f5dw45c1c-403e-ad56-202fbc312414",
"bankAccountNumber": 5407324931,
"bankCode": "50010517",
"bic": "DEUTDEFF",
"bookingProposalDate": "2025-07-14T00:00:00Z",
"bookingType": "INVOICE",
"contactAccountNumber": 70000,
"contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"contactName ": "John Doe",
"createdDate": "2025-07-16T00:00:00Z",
"currency": "EUR",
"deliveryDate": "2025-07-26T00:00:00Z",
"discountPaymentDate": "2025-07-16T00:00:00Z",
"discountPaymentDate2": "2025-07-18T00:00:00Z",
"dueDate": "2025-07-24T00:00:00Z",
"files": [
"file1.pdf"
],
"journalCode": "60",
"iban": "DE43100500000920018963",
"isPaymentOrder": "true",
"ledgerName": "Payroll",
"lineItems": [
{
"id": "Item-112233",
"accountCode": "200",
"accountId": "db32-4f56-8a9b-1234567890ab",
"accountName": "EXPENSE",
"accountNumber": 4900,
"bookingTaxCode": "9",
"createdDate": "2021-01-01T00:00:00Z",
"description": "Item A",
"dimension1": "Marketing",
"dimension2": "Service and Maintenance",
"dimensions": [
{
"id": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"code": "CS1",
"dimension": "CostCenter",
"name": "Jerde, Greenfelder and Jacobi"
}
],
"discountAmount": 100,
"discountAmount2": 50,
"discountPercentage": 20,
"discountPercentage2": 10,
"taxCode": "02",
"taxRatePercentage": 19,
"totalGrossAmount": 500,
"totalNetAmount": 450,
"type": "SERVICES",
"updatedDate": "2021-01-01T00:00:00Z"
}
],
"notes": "Bill for maintenance services",
"number": "1233330",
"orderId": "3344566",
"paidDate": "2021-01-01T00:00:00Z",
"paymentTermsId": "03",
"status": "DRAFT",
"taskId": "ADHUR74BCBSW8399DCN",
"totalGrossAmount": 500,
"updatedDate": "2025-07-16T00:00:00Z",
"vatId": "DE987654321"
}
]
}Booking Proposals
Get booking proposals
GET
/
accounting
/
bookingProposals
cURL
Field support per integration

BuchhaltungsButler
BuchhaltungsButler
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
string
string
enum
Available options:
ASC, DESCboolean
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options:
INVOICE, BILLstring
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options:
OPEN, PAIDnumber

Lexware Office
Lexware Office
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
string
string
enum
Available options:
ASC, DESCboolean
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options :
INVOICE, BILL, CREDIT_NOTE, INVOICE_CREDIT_NOTE,BILL_CREDIT_NOTE, DOWN_PAYMENTstring
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options (3-letter ISO 4217):
EURstring
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
enum
Available options :
DRAFT, SUBMITTED, OPEN, PAID, VOIDED, OVERDUEnumber
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z

Qonto
Qonto
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
string
enum
Available options:
ASC, DESCboolean
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options :
BILL, CREDIT_CARD, CREDIT_NOTE, EXPENSE, OTHERstring
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options (3-letter ISO 4217):
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWRstring[]
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options:
DRAFT,SUBMITTED, OPEN, PAID,VOIDEDnumber
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string

sevdesk
sevdesk
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
string
boolean
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options:
INVOICE, BILLstring
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
The
currency field supports ISO 4217 alpha-3 (3-letter codes).
For details visits the Standardized Data section.string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options:
DRAFT, SUBMITTED, OPEN, PARTIALLY_PAID, PAIDnumber
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string

Xero
Xero
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
string
boolean
string
required
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options:
INVOICE, BILLstring
required
The
contactId field represents the id of the contact associated with the booking proposal.string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
The
currency field supports ISO 4217 alpha-3 (3-letter codes).
For details visits the Standardized Data section.string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
BookingLineItem[]
required
string
The
number field represents the reference number for the booking proposal transaction.enum
Available options:
OPEN, SUBMITTED, OPENnumber
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
Query Parameters
Available options:
5, 10, 20, 50, 100 Available options:
ASC, DESC Available options:
bookingProposalDate, number, createdDate, updatedDate Last modified on July 10, 2026
Was this page helpful?